SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000728SiT!portalpublic2009-06-13 13:432009-08-16 14:39
Reporterkieran 
Assigned Topaulh 
PrioritynormalSeverityblockReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.50Fixed in Version3.50 
Summary0000728: Portal entitlement blank
DescriptionOn logging in, $_SESSION['entitlement'] is correct but after refreshing the page, the array just contains blank objects after that.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0001235)
paulh (administrator)
2009-06-21 11:37

This is due to the entitlement being an object, to store an object in a session it needs to be serialised/unserialised (see http://php.net/manual/en/language.oop.serialization.php [^]) if we use session_register instead this does the serialisation for us.
User avatar (0001236)
paulh (administrator)
2009-06-21 12:33

Probably don't want to use session_register as its deprecated in 5.3 and removed in PHP6
User avatar (0001237)
paulh (administrator)
2009-06-21 13:23

trunk r5487 serialises entitlements
User avatar (0001239)
kieran (administrator)
2009-06-21 13:37

Cheers for the fix Paul, but how come it's now an object? It was an array last release was it not?
User avatar (0001240)
paulh (administrator)
2009-06-21 14:23

Its always been an object from what I can tell (going all the way back to 3.35), Its seems like 3.45 was the first time we used $_SESSION['entitlements'] else where
User avatar (0001636)
ivan (administrator)
2009-08-16 14:39

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-06-13 13:43 kieran New Issue
2009-06-21 11:37 paulh Note Added: 0001235
2009-06-21 11:37 paulh Status new => confirmed
2009-06-21 12:33 paulh Note Added: 0001236
2009-06-21 13:19 paulh Status confirmed => assigned
2009-06-21 13:19 paulh Assigned To => paulh
2009-06-21 13:23 paulh Note Added: 0001237
2009-06-21 13:23 paulh Status assigned => resolved
2009-06-21 13:23 paulh Resolution open => fixed
2009-06-21 13:23 paulh Fixed in Version => Current SVN
2009-06-21 13:37 kieran Note Added: 0001239
2009-06-21 14:23 paulh Note Added: 0001240
2009-08-16 13:16 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:39 ivan Note Added: 0001636
2009-08-16 14:39 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker